<ng-container *ngIf="{
        isXsOrLower: isXsOrLower$ | async,
        screenSize: screenSize$ | async } as vm">
  <app-page-form>
    <ng-container ngProjectAs="[page-form-content]">
      <h1>
        {{ 'fmi.score.seo.title' | translate }}
      </h1>

      <p>
        {{ 'fmi.score.seo.description' | translate }}
      </p>
      <form [formGroup]="formGroup"
            #form="ngForm" (ngSubmit)="formGroup.valid && save()">
        <mat-accordion formArrayName="matchs">
          <mat-expansion-panel *ngFor="let matchGroup of controlAsFormGroups(formGroup.controls.matchs)" hideToggle>
            <mat-expansion-panel-header
              [collapsedHeight]="vm.isXsOrLower ? '5rem' : '4rem'"
              [expandedHeight]="vm.isXsOrLower ? '6rem' : '5rem'">
              <img class="logo logo-1 lazy-load"
                   *ngIf="'common.team.defaultPicture.url' | translate"
                   [lazyLoad]="matchGroup.value.team1.team.logoUrl || ('common.team.defaultPicture.url' | translate)"
                   [errorImage]="'common.team.defaultPicture.url' | translate"
                   [alt]="matchGroup.value.team1.team.name"/>
              <span class="team-1"
                    [class.winner]="matchGroup.getRawValue().team1.goals > matchGroup.getRawValue().team2.goals">
                {{ matchGroup.value.team1.team | teamName:vm.screenSize }}
                {{ matchGroup.value.team1.team.index }}
              </span>
              <span class="forfeit-1">
                {{ matchGroup.value.team1.forfeit ? '(F)' : '' }}
              </span>
              <span class="score-1"
                    [class.winner]="matchGroup.getRawValue().team1.goals > matchGroup.getRawValue().team2.goals">
                {{ matchGroup.getRawValue().team1.goals }}
              </span>
              <span class="separator">
                <span class="time">
                  {{ matchGroup.value.match.date | date:'HH:mm' }}
                </span>
                <span>
                  -
                </span>
                <span class="time">
                  <ng-container *ngIf="matchGroup.value.stopped">
                    {{ 'fmi.score.form.stopped' | translate }}
                  </ng-container>
                  <ng-container *ngIf="matchGroup.value.notPlayed">
                    {{ 'fmi.score.form.notPlayed' | translate }}
                  </ng-container>
                </span>
              </span>
              <span class="score-2"
                    [class.winner]="matchGroup.getRawValue().team1.goals < matchGroup.getRawValue().team2.goals">
                {{ matchGroup.getRawValue().team2.goals }}
              </span>
              <span class="forfeit-2">
                {{ matchGroup.value.team2.forfeit ? '(F)' : '' }}
              </span>
              <span class="team-2"
                    [class.winner]="matchGroup.getRawValue().team1.goals < matchGroup.getRawValue().team2.goals">
                {{ matchGroup.value.team2.team | teamName:vm.screenSize }}
                {{ matchGroup.value.team2.team.index }}
              </span>
              <img class="logo logo-2 lazy-load"
                   *ngIf="'common.team.defaultPicture.url' | translate"
                   [lazyLoad]="matchGroup.value.team2.team.logoUrl || ('common.team.defaultPicture.url' | translate)"
                   [errorImage]="'common.team.defaultPicture.url' | translate"
                   [alt]="matchGroup.value.team2.team.name"/>
            </mat-expansion-panel-header>
            <form [formGroup]="matchGroup" class="teams">
              <ng-container
                *ngFor="let teamGroup of [controlAsFormGroup(matchGroup.controls.team1), controlAsFormGroup(matchGroup.controls.team2)]; let even = even">
                <form [formGroup]="teamGroup" class="team"
                      [class.right]="!even">
                  <mat-form-field>
                    <mat-label>
                      {{ 'fmi.score.form.goals' | translate }}
                    </mat-label>
                    <input matInput type="number" min="0" max="99" name="goals" formControlName="goals"/>
                  </mat-form-field>
                  <mat-checkbox name="forfeit" formControlName="forfeit"
                                [labelPosition]="even ? 'after' : 'before'"
                                (change)="forfeitChange(matchGroup)">
                    {{ 'fmi.score.form.forfeit' | translate }}
                  </mat-checkbox>
                </form>
              </ng-container>
              <mat-checkbox name="stopped" formControlName="stopped"
                            labelPosition="after"
                            (change)="stoppedChange(matchGroup)">
                {{ 'fmi.score.form.stopped' | translate }}
              </mat-checkbox>
              <mat-checkbox name="notPlayed" formControlName="notPlayed"
                            labelPosition="before"
                            (change)="notPlayedChange(matchGroup)">
                {{ 'fmi.score.form.notPlayed' | translate }}
              </mat-checkbox>
            </form>
          </mat-expansion-panel>
        </mat-accordion>
      </form>
    </ng-container>

    <ng-container ngProjectAs="[page-form-footer]">
      <a mat-stroked-button color="accent"
         [routerLink]="previousRouteCommands.commands"
         [queryParams]="previousRouteCommands.queryParams"
         angulartics2On="click"
         angularticsAction="cancel"
         angularticsCategory="fmi-score">
        <mat-icon>
          cancel
        </mat-icon>
        {{ 'fmi.score.action.cancel' | translate }}
      </a>
      <app-async-button [loading]="loading.save">
        <button mat-flat-button color="primary"
                [disabled]="!formGroup.value.slug"
                (click)="form.onSubmit($event)"
                angulartics2On="click"
                angularticsLabel="scores"
                angularticsAction="save"
                angularticsCategory="fmi-score">
          <mat-icon>
            save
          </mat-icon>
          {{ 'fmi.score.action.save' | translate }}
        </button>
      </app-async-button>
    </ng-container>
  </app-page-form>
</ng-container>
